火曜日, January 13th, 2009 | 著者:

Some of you might have noticed issues ととも​​に MSN/Live‘s servers yesterday. The problem was related to a specific protocol version of MSN. Some IM software have an automatic failover to use a different version of the protocolsbut apparently ピジン (my currentaggregateIM of choice) doesn’t do this by default. Adium (ために Mac OS) uses the same libraries (libpurple) as pidgin and was also affected. I’m not sure what other software was affectedhowever pidgin is popular enough that many of my friends thought MSN was completely out of commission.

The easiest short-term solution is to install an alternative MSN protocol library and to switch to it on demand. The long-term solution would be to convince libpurple’s developers to build in a failover facility. I tried out msn-pecan, a plugin which is actually a fork of the built-in MSN protocol library. The plugin appears to be using the slightly older protocol version. The advantage of this is that you don’t have to recompile pidgin to switch between versions.

To adjust, once you’ve installed msn-pecan:

  • Restart pidgin
  • press Ctrl+A or Select Accounts -> Manage Accounts
  • select your MSN account and ensure that it is offline (very likely at the time) by unchecking the tickbox next to the account
  • クリック [Modify]
  • change theProtocoldrop-down box fromMSN” へ “WLM
  • クリック [Save]
  • click the tickbox again to re-enable the account.

To change it back, do the same, except change the Protocol drop-down back toMSN”.

シェア
あなたはを通してこのエントリへの応答に続くことができる RSSフィード 2.0 フィード. あなたができる 応答を残す, または トラックバック ご自分のサイトから.
返信を残す » ログイン